0 Replies Latest reply on Oct 4, 2010 8:11 AM by Gang Cai

    Flex Builder plugin for Windows Helios 32 bit + WTP

    Gang Cai Level 2

      I tried to create a Flex Project in Helios 32 bit on hitting Finish button I got following error:


      Errors were encountered while creating the project .Reason: One or more constraint have not been met.


      Below is my eclipse log:


      pls note last line in the log

      Contains: Dynamic Web Module 3.0 requires Java 1.6 or newer.


      __________________________

       

      !SESSION 2010-08-04 08:44:58.743 -----------------------------------------------
      eclipse.buildId=I20100608-0911
      java.version=1.6.0_20
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
      Framework arguments: -product org.eclipse.epp.package.jee.product -product org.eclipse.epp.package.jee.product
      Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.jee.product -data D:\Projects\gf -product org.eclipse.epp.package.jee.product

       

      !ENTRY com.adobe.flexbuilder.project 4 43 2010-08-04 08:56:46.608
      !MESSAGE Error on perform finish:
      !STACK 0
      java.lang.reflect.InvocationTargetException
      at com.adobe.flexbuilder.project.ui.wizards.AbstractFlexProject Wizard$FlexStrategy$2.run(AbstractFlexProjectWizard.java:807 )
      at org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:121)
      Caused by: org.eclipse.core.runtime.CoreException: One or more constraints have not been satisfied.
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:364)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.mergeChangesInternal(FacetedProject.java:1182)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:1118)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:325)
      at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1975)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:340)
      at com.adobe.flexbuilder.project.ui.wizards.FlexProjectWtpHelpe r.addJ2eeFacets(FlexProjectWtpHelper.java:250)
      at com.adobe.flexbuilder.project.ui.wizards.FlexProjectWtpHelpe r.performFinish(FlexProjectWtpHelper.java:142)
      at com.adobe.flexbuilder.project.ui.wizards.AbstractFlexProject Wizard$FlexStrategy$2.run(AbstractFlexProjectWizard.java:805 )
      ... 1 more
      Root exception:
      org.eclipse.core.runtime.CoreException: One or more constraints have not been satisfied.
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modifyInternal(FacetedProject.java:364)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.mergeChangesInternal(FacetedProject.java:1182)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.access$2(FacetedProject.java:1118)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject$1.run(FacetedProject.java:325)
      at org.eclipse.core.internal.resources.Workspace.run(Workspace. java:1975)
      at org.eclipse.wst.common.project.facet.core.internal.FacetedPr oject.modify(FacetedProject.java:340)
      at com.adobe.flexbuilder.project.ui.wizards.FlexProjectWtpHelpe r.addJ2eeFacets(FlexProjectWtpHelper.java:250)
      at com.adobe.flexbuilder.project.ui.wizards.FlexProjectWtpHelpe r.performFinish(FlexProjectWtpHelper.java:142)
      at com.adobe.flexbuilder.project.ui.wizards.AbstractFlexProject Wizard$FlexStrategy$2.run(AbstractFlexProjectWizard.java:805 )
      at org.eclipse.jface.operation.ModalContext$ModalContextThread. run(ModalContext.java:121)
      Contains: Dynamic Web Module 3.0 requires Java 1.6 or newer.

      Anyone can help me out? Thanks a lot